Before purchasing, installing, or upgrading your software, review our compatibility information.

For ResearchPoint version 2.5 and higher

ResearchPoint Compatibility
ProductVersionAdditional Information
The Raiser's Edge7.91.5056 and HigherRE:Search (the Prospect tab in The Raiser's Edge) must also be unlocked.